4.0

Complete rewrite.

  • PHP 7.2+